Perl add-on 1.4.12 incompat. in Win32API::Registry?

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Perl add-on 1.4.12 incompat. in Win32API::Registry?

Postby kswartz » 06. May 2005 19:11

Hi there,

I tried installing the 1.4.12 add-on after installing XAMPP 1.4.13. Most programs I try to run, including ppm, now give me this error:

Win32API::Registry object version 0.22 does not match bootstrap parameter 0.23 at D:/xampp/perl/lib/ line 253.
Compilation failed in require at D:/xampp/perl/lib/Win32/ line 26.

BEGIN failed--compilation aborted at D:/xampp/perl/lib/Win32/ line 26.
Compilation failed in require at D:\xampp\perl\bin/ppm.bat line 15.
BEGIN failed--compilation aborted at D:\xampp\perl\bin/ppm.bat line 15.

I've tried installing on top of my old perl install, and I also tried renaming the old directory and installing the add-on from scratch (i.e.: nothing in site/lib), and I get this problem either way.

Has anyone else seen this? (You should be able to reproduce it just by typing "ppm" if so.)

Posts: 11
Joined: 25. June 2004 22:48

Postby Dean » 07. May 2005 22:50

I am not sure whether this is related, other than that it is the perl addon.

ErrorMessage wrote:500 HTML::Parser object version 3.38 does not match bootstrap parameter 3.43

Receiveing this message even after two uninstalls and re-installations.

I was very careful to remove (entirely) all traces of previous installations before reinstalling. I rebooted between each stage:
removing previous -- Reboot -- Install XAMPP -- Reboot -- Install addon -- reboot -- attempt to use.

Without success. Unfortunately it leaves the XAMPP stack unusable for me.

Posts: 2
Joined: 07. May 2005 22:40

Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 52 guests